<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imread</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imdisplay.html">&lt;&lt; imdisplay</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imshow.html">imshow &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration</a> &gt; imread</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imread</h1>
    <p class="refpurpose">Reads image file</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">im</span><span class="default"> = </span><span class="functionid">imread</span><span class="default">(</span><span class="default">filename</span><span class="default">)</span>
<span class="default">im</span><span class="default"> = </span><span class="functionid">imread</span><span class="default">(</span><span class="default">url</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">filename,url :</span>
      <dd><p class="para">A string, the image filename or a valid URL to be read. The extension determines the type of the image. For the case of URL, the full syntax must be used. For example, &#0034;http://www.tritytech.com/images/phocagallery/roll8_ScilabIOT.png&#0034;.</p></dd></dt>
   <dt><span class="term">im :</span>
      <dd><p class="para">All images will be converted to gray images or RGB images. For gray images, this is a MxN unsigned char matrix; For RGB images, this is a MxNx3 unsigned char matrix.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">imread reads many types of image files into Scilab. The format of the file is inferred from the extension in the filename parameter. Currently the following file formats are supported:</p>
   <p class="para">im = imread(filename)</p>
   <p class="para">reads image in filename into im matrix. If filename contains a truecolor image, im is a MxNx3 hypermatrix, so for example im(:,:,1) stands for the red channel. For gray images, im is a MxNx1 unsigned char matrix.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/</span><span class="scilabstring">&#0034;</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">baboon.png</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imwrite.html" class="link">imwrite</a></li>
   <li class="member"><a href="imshow.html" class="link">imshow</a></li>
   <li class="member"><a href="scilab://imfinfo" class="link">imfinfo</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imdisplay.html">&lt;&lt; imdisplay</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_47cba15fa7c01219cabb9916618add8b.html">Image Reading, Display and Exploration</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imshow.html">imshow &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
